> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-references/inventory-api/availability.md).

# Availability

## GET /inventory/v1/{identifier}/inventory-availability

>

```json
{"openapi":"3.1.1","info":{"title":"Inventory API","version":"1"},"servers":[{"url":"https://api.sandbox.esw.com"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","name":"Authorization","in":"header","description":"Please insert JWT with Bearer into field"}},"schemas":{"StockAvailabilityResponseDto":{"type":"object","properties":{"sku":{"type":["string","null"],"description":"The SKU for which the available-to-sell quantity is provided."},"quantity":{"type":"integer","description":"The available-to-sell quantity for the SKU, aggregated across all fulfillment centers serving the delivery country.\r\nAlways zero or greater (never negative).","format":"int32"}},"additionalProperties":false,"description":"Represents the available-to-sell quantity for a single SKU."},"ProblemDetailsErrorsResult":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/InventoryApiError"}},"type":{"type":"string"},"title":{"type":"string"},"status":{"format":"int32","type":"integer"},"detail":{"type":"string"},"instance":{"type":"string"}},"additionalProperties":{}},"InventoryApiError":{"type":"object","properties":{"message":{"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string"},"title":{"type":"string"},"status":{"format":"int32","type":"integer"},"detail":{"type":"string"},"instance":{"type":"string"}},"additionalProperties":{}}}},"paths":{"/inventory/v1/{identifier}/inventory-availability":{"get":{"tags":["Availability"],"parameters":[{"schema":{"type":"string"},"in":"path","name":"identifier","required":true}],"responses":{"200":{"description":"The request is processed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StockAvailabilityResponseDto"}}}}},"400":{"description":"The request is invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetailsErrorsResult"}}}},"401":{"description":"The request is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"The request is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Fulfillment group configuration not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetailsErrorsResult"}}}},"409":{"description":"Fulfillment group conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetailsErrorsResult"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetailsErrorsResult"}}}},"default":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /inventory/v1/{identifier}/inventory-availability

> Get available-to-sell quantity for a list of SKUs

```json
{"openapi":"3.1.1","info":{"title":"Inventory API","version":"1"},"servers":[{"url":"https://api.sandbox.esw.com"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","name":"Authorization","in":"header","description":"Please insert JWT with Bearer into field"}},"schemas":{"StockAvailabilityResponseDto":{"type":"object","properties":{"sku":{"type":["string","null"],"description":"The SKU for which the available-to-sell quantity is provided."},"quantity":{"type":"integer","description":"The available-to-sell quantity for the SKU, aggregated across all fulfillment centers serving the delivery country.\r\nAlways zero or greater (never negative).","format":"int32"}},"additionalProperties":false,"description":"Represents the available-to-sell quantity for a single SKU."},"ProblemDetailsErrorsResult":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/InventoryApiError"}},"type":{"type":"string"},"title":{"type":"string"},"status":{"format":"int32","type":"integer"},"detail":{"type":"string"},"instance":{"type":"string"}},"additionalProperties":{}},"InventoryApiError":{"type":"object","properties":{"message":{"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string"},"title":{"type":"string"},"status":{"format":"int32","type":"integer"},"detail":{"type":"string"},"instance":{"type":"string"}},"additionalProperties":{}},"StockAvailabilityRequestDto":{"description":"Request to retrieve available-to-sell quantities for a list of SKUs.","required":["skus"],"type":"object","properties":{"deliveryCountryIso":{"description":"The ISO 3166-1 alpha-2 delivery country code.","type":"string"},"skus":{"description":"List of SKUs to retrieve available-to-sell quantities for.","type":"array","items":{"type":"string"}}},"additionalProperties":false}}},"paths":{"/inventory/v1/{identifier}/inventory-availability":{"post":{"tags":["Availability"],"summary":"Get available-to-sell quantity for a list of SKUs","parameters":[{"schema":{"type":"string"},"in":"path","name":"identifier","required":true}],"responses":{"200":{"description":"The request is processed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StockAvailabilityResponseDto"}}}}},"400":{"description":"The request is invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetailsErrorsResult"}}}},"401":{"description":"The request is unauthorized.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"The request is forbidden.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Fulfillment group configuration not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetailsErrorsResult"}}}},"409":{"description":"Fulfillment group conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetailsErrorsResult"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetailsErrorsResult"}}}},"default":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StockAvailabilityRequestDto"}}},"description":"Stock availability request"}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.esw.com/api-references/inventory-api/availability.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
